Attribute VB_Name = "1"
Public Color As RGB

Public Declare Function SetPixel Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long, ByVal crColor As Long) As Long
Public Declare Function GetPixel Lib "gdi32" (ByVal hdc As Long, ByVal x As Long, ByVal y As Long) As Long

Public Type RGB
    rgbBlue As Integer
    rgbGreen As Integer
    rgbRed As Integer
End Type

Public Sub FillSpectreColor(Picture As PictureBox, Color As RGB)
Dim NewRed As Byte
Dim NewGreen As Byte
Dim NewBlue As Byte
Picture.Cls
For x = 0 To 255
    For y = 0 To 255
        NewRed = (0 * y + ((255 * x + Color.rgbRed * (255 - x)) \ 255) * (255 - y)) \ 255
        NewGreen = (0 * y + ((255 * x + Color.rgbGreen * (255 - x)) \ 255) * (255 - y)) \ 255
        NewBlue = (0 * y + ((255 * x + Color.rgbBlue * (255 - x)) \ 255) * (255 - y)) \ 255
        SetPixel Picture.hdc, 255 - x, y, RGB(NewRed, NewGreen, NewBlue)
    Next y
Next x
End Sub

Public Sub FillSpectre(Picture As PictureBox)
Dim NewRed As Byte
Dim NewGreen As Byte
Dim NewBlue As Byte
Picture.Cls
For x = 1 To 15
    For y = 1 To 42
        SetPixel Picture.hdc, x - 1, y - 1, RGB(255, 0, 255 / (42.5 / y))
    Next y
Next x
For x = 1 To 15
    For y = 1 To 42
        SetPixel Picture.hdc, x - 1, 42 + y - 1, RGB(255 - (255 / (42.5 / y)), 0, 255)
    Next y
Next x
For x = 1 To 15
    For y = 1 To 42
        SetPixel Picture.hdc, x - 1, 84 + y - 1, RGB(0, 255 / (42.5 / y), 255)
    Next y
Next x
For x = 1 To 15
    For y = 1 To 42
        SetPixel Picture.hdc, x - 1, 126 + y - 1, RGB(0, 255, 255 - (255 / (42.5 / y)))
    Next y
Next x
For x = 1 To 15
    For y = 1 To 42
        SetPixel Picture.hdc, x - 1, 168 + y - 1, RGB(255 / (42.5 / y), 255, 0)
    Next y
Next x
For x = 1 To 15
    For y = 1 To 42
        SetPixel Picture.hdc, x - 1, 210 + y - 1, RGB(255, 255 - (255 / (42.5 / y)), 0)
    Next y
Next x
End Sub
